# TdApi.PageBlockVerticalAlignment (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PageBlockVerticalAlignment

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockVerticalAlignment

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlockVerticalAlignment

Direct Known Subclasses:
  `TdApi.PageBlockVerticalAlignmentBottom`, `TdApi.PageBlockVerticalAlignmentMiddle`, `TdApi.PageBlockVerticalAlignmentTop`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PageBlockVerticalAlignment extends TdApi.Object permits TdApi.PageBlockVerticalAlignmentTop, TdApi.PageBlockVerticalAlignmentMiddle, TdApi.PageBlockVerticalAlignmentBottom
This class is an abstract base class. Describes a Vertical alignment of a table cell content.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockVerticalAlignment()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PageBlockVerticalAlignment

public PageBlockVerticalAlignment()
Default class constructor.